EEM Install Fails with "Error : Sanity test failed: This platform is not supported or the runtime libraries are missing on the System"

Document ID : KB000018525
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

This article will discuss how to install the libraries needed to install EEM on a 64 bit Linux operating system.

Solution:

While running the EEM installer on a Linux 64 bit system, you may encounter the following error:

Error : Sanity test failed

This platform is not supported or the runtime libraries are missing on the system.

This error occurs because EEM is a 32 bit application and requires the 32 bit versions of certain libraries to be installed on your operating system. If you encounter the above error, please try the following:

  • Run: yum list libstdc++ and check that you have the library "libstdc++.x86_64 4.4.4-13.el6"

  • If the above library is not available, enter this command:

    • yum install libstdc++.i686

  • Retry the install

If this does not help, relevant EEM installation logging occurs at:

  • /opt/CA/Directory/cadir_install.log

  • /opt/CA/SharedComponents/iTechnology/igwInstall.log

  • /opt/CA/SharedComponents/EmbeddedEntitlementsManager/CA_Embedded_Entitlements_Manager_InstallLog.log

  • /opt/CA/SharedComponents/EmbeddedEntitlementsManager/eiam-install.log

The eiam-install.log in particular should indicate what libraries are missing.

Reach out to CA Support at support.ca.com if you need assistance with these files.